## openttd 1.3.3

=== src/3rdparty/squirrel/Makefile ===

SQUIRREL=.
MAKE=make

sq32:
	cd squirrel; $(MAKE)
	cd sqstdlib; $(MAKE)
	cd sq; $(MAKE)

sqprof:
	cd squirrel; $(MAKE) sqprof
	cd sqstdlib; $(MAKE) sqprof
	cd sq; $(MAKE) sqprof

sq64:
	cd squirrel; $(MAKE) sq64
	cd sqstdlib; $(MAKE) sq64
	cd sq; $(MAKE) sq64

clean:
	$(MAKE) -C squirrel clean
	$(MAKE) -C sqstdlib clean
	$(MAKE) -C sq clean

=== src/3rdparty/squirrel/sq/Makefile ===
SQUIRREL= ..


OUT= $(SQUIRREL)/bin/sq
INCZ= -I$(SQUIRREL)/include -I. -I$(SQUIRREL)/sqlibs
LIBZ= -L$(SQUIRREL)/lib
LIB= -lsquirrel -lsqstdlib

OBJS= sq.o

SRCS= sq.c


sq32:
	g++ -O2 -fno-rtti -o $(OUT) $(SRCS) $(INCZ) $(LIBZ) $(LIB)

sqprof:
	g++ -O2 -pg -fno-rtti -pie -gstabs -g3 -o $(OUT) $(SRCS) $(INCZ) $(LIBZ) $(LIB)

sq64:
	g++ -O2 -fno-rtti -D_SQ64 -o $(OUT) $(SRCS) $(INCZ) $(LIBZ) $(LIB)

clean:
	rm -f $(OUT)

=== src/3rdparty/squirrel/sqstdlib/Makefile ===
SQUIRREL= ..


OUT= $(SQUIRREL)/lib/libsqstdlib.a
INCZ= -I$(SQUIRREL)/include -I. -Iinclude

SRCS= \
	sqstdblob.cpp \
	sqstdio.cpp \
	sqstdstream.cpp \
	sqstdmath.cpp \
	sqstdsystem.cpp \
	sqstdstring.cpp \
	sqstdaux.cpp \
	sqstdrex.cpp


sq32:
	gcc -O2  -fno-rtti -Wall -c $(SRCS) $(INCZ)
	ar rc $(OUT) *.o

sqprof:
	gcc -O2 -pg -fno-rtti -pie -gstabs -g3 -Wall -c $(SRCS) $(INCZ)
	ar rc $(OUT) *.o

sq64:
	gcc -O2 -D_SQ64 -fno-rtti -Wall -c $(SRCS) $(INCZ)
	ar rc $(OUT) *.o

clean:
	rm -f $(OUT) $(SRCS:%.cpp=%.o)

=== src/3rdparty/squirrel/squirrel/Makefile ===
SQUIRREL= ..


OUT= $(SQUIRREL)/lib/libsquirrel.a
INCZ= -I$(SQUIRREL)/include -I. -Iinclude
DEFS=
LIB=

OBJS= \
	sqapi.o \
	sqbaselib.o \
	sqcompiler.o \
	sqdebug.o \
	sqlexer.o \
	sqobject.o \
	sqparser.o \
	sqstate.o \
	sqtable.o \
	sqvm.o \
	sqmem.o \
	sqclass.o

SRCS= \
	sqapi.cpp \
	sqbaselib.cpp \
	sqfuncstate.cpp \
	sqdebug.cpp \
	sqlexer.cpp \
	sqobject.cpp \
	sqcompiler.cpp \
	sqstate.cpp \
	sqtable.cpp \
	sqmem.cpp \
	sqvm.cpp \
	sqclass.cpp



sq32:
	gcc -O2  -fno-rtti -Wall -c $(SRCS) $(INCZ) $(DEFS)
	ar rc $(OUT) *.o

sqprof:
	gcc -O2 -pg -fno-rtti -pie -gstabs -g3 -Wall -c $(SRCS) $(INCZ) $(DEFS)
	ar rc $(OUT) *.o

sq64:
	gcc -O2  -D_SQ64 -fno-rtti -Wall -c $(SRCS) $(INCZ) $(DEFS)
	ar rc $(OUT) *.o

clean:
	rm -f $(OUT) $(SRCS:%.cpp=%.o)

## openttd 1.0.0

=== debian/changelog ===
openttd (1.0.0-2) unstable; urgency=low

  * [07bda20] Fix Replaces clause of openttd-data. (Closes: #576960)
  * [cfecf6a] Let openttd-data conflict with (the non-split) openttd <<
    0.7.5-2.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 08 Apr 2010 20:58:42 +0200

openttd (1.0.0-1) unstable; urgency=low

  * [30a2162] New upstream release 1.0.0. (Closes: #570104)
  * [102698a] Make openttd-wrapper work with older mktemp versions.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 02 Apr 2010 23:36:21 +0200

openttd (1.0.0~rc3-2) unstable; urgency=low

  * [279c5ef] Recommend openttd-opengfx and suggest openttd-opensfx.
  * [9330ad7] Update README.Debian concerning music files.
  * [07bde24] Move openttd from contrib to main. (Closes: #560810)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 18 Mar 2010 13:16:32 +0100

openttd (1.0.0~rc3-1) unstable; urgency=low

  * [412d153] New upstream release 1.0.0~rc3.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 18 Mar 2010 10:09:33 +0100

openttd (1.0.0~rc2-1) unstable; urgency=low

  * [9c99af4] New upstream release 1.0.0~rc2.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 04 Mar 2010 12:22:28 +0100

openttd (1.0.0~rc1-1) unstable; urgency=low

  * [fe4eb51] New upstream release 1.0.0~rc1.
  * [6aa2be0] Note that the embedded md5 implementation has a different
    license.
  * [39eb336] Remove lintian override for empty gm directory.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 19 Feb 2010 13:00:53 +0100

openttd (1.0.0~beta4-1) unstable; urgency=low

  * [6718224] New upstream release 1.0.0~beta4.
  * [7b0fa8d] Remove some more docs that we don't want in the package.
  * [bb9d744] Use liblzo2 instead of an embedded minilzo version.
  * [949c06b] Explicitly disable iconv support.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 19 Feb 2010 12:59:27 +0100

openttd (0.7.5-4) unstable; urgency=low

  * [174d0b1] Don't use deprecated < in Replaces.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Mon, 15 Feb 2010 00:35:33 +0100

openttd (0.7.5-3) unstable; urgency=low

  * [d12fc5a] Make openttd-data replace openttd (< 0.7.5-2).
    (Closes: #569679)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Sun, 14 Feb 2010 16:56:31 +0100

openttd (0.7.5-2) unstable; urgency=low

  [ Matthijs Kooijman ]
  * [fbab21d] Switch to source format 3.0 (quilt).
  * [85c0c7d] No longer check for (and complain about missing) datafiles
    on installation and upgrades. (Closes: #524651, 562574)
  * [827eb61] Split the architecture independent data into openttd-data.
    (Closes: #492462)
  * [6fbd9c7] Update README.Debian.
  * [76a5148] Support cross compilation. (Closes: #550951)
  * [2005bf8] Simplify the rules file, make debhelper do more stuff.
  * [fc0500e] Remove some configure arguments.
  * [8ca38bb] Explicitly enable or disable all of the dependencies.
  * [e38fb3e] Let the upstream Makefile install documentation.
  * [5954fcf] Update the watch file to the new upstream url scheme.
  * [7249594] Fix typo in copyright file.
  * [660fb61] Bump the Standards-Version to 3.8.4, with no changes
    required.
  * [f94ab89] Move the packaging git repository to git.debian.org.

 -- Jordi Mallach <jordi@debian.org>  Tue, 09 Feb 2010 21:40:24 +0100

openttd (0.7.5-1) unstable; urgency=high

  * [cdcb73a] Imported Upstream version 0.7.5. This release fixes
    CVE-2009-4007.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 24 Dec 2009 00:55:45 +0100

openttd (0.7.4-1) unstable; urgency=low

  * [a2c297b0] Imported Upstream version 0.7.4
  * [0232a645] Make Debian-specific patches executable.
  * [76be04b] Switch the Debian packaging to git.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 15 Dec 2009 22:11:52 +0100

openttd (0.7.3-1) unstable; urgency=low

  [ Matthijs Kooijman ]
  * New upstream release
  * Use printf instead of echo -en in openttd-wrapper to make it POSIX
    compatible (Closes: #547758).
  * Remove three patches that are now included in upstream.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 01 Oct 2009 22:52:59 +0200

openttd (0.7.2-1) unstable; urgency=low

  [ Matthijs Kooijman ]
  * New upstream release
  * Bump Standards-Version to 3.8.3, with no changes required.
  * Clean up the rules file a bit and add some lintian overrides.
  * Explain why openttd is in contrib (Closes: #539381).
  * Add the DM-Upload-Allowed control field.
  * Re-add dpatch infrastructure.
  * Fix the copyright file, since upstream only allows GPLv2, not later
    versions.
  * Add a section to the copyright file on the different license used by the
    "Squirrel" programming language, which is shipped with OpenTTD since
     0.7.0.
  * Backport upstream r17226, which removes the deprecated Encoding entry from
    the .desktop file.
  * Add a wrapper script for openttd, which captures any stderr output and
    displays it when openttd returns an error code (Closes: #533557).
  * Recommend x11-utils, since we use xmessage for displaying errors. Don't
    depend on it, since openttd will still run fine without it, you just won't
    see any errors.
  * Backport upstream r17227 and r17229, which prevents terminal escape codes
    from ending up in the captured error output.
  * Backport upstream r17240, which improves stderr output when files are
    missing or corrupt.

 -- Jordi Mallach <jordi@debian.org>  Fri, 21 Aug 2009 15:27:26 +0200

openttd (0.7.1-1) unstable; urgency=low

  [ Matthijs Kooijman ]
  * New upstream release.
  * Link against libicu to enable right-to-left language support.

 -- Jordi Mallach <jordi@debian.org>  Tue, 09 Jun 2009 21:46:28 +0200

openttd (0.7.0-1) unstable; urgency=low

  [ Matthijs Kooijman ]
  * New upstream release.
  * Remove Debian specific desktop file, upstream provides one now.
  * Add debian/watch file.

  [ Jordi Mallach ]
  * Bump Standards-Version to 3.8.1, with no changes required.
  * Move to debhelper compat 7. Bump Build-Depends accordingly.
  * Use dh_prep.
  * Add "set -e" to config script.


=== debian/control ===
Source: openttd
Section: games
Priority: optional
Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
Uploaders: Jordi Mallach <jordi@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50), libsdl-dev, zlib1g-dev, libpng-dev, libfreetype6-dev, libfontconfig-dev, libicu-dev, liblzo2-dev
Standards-Version: 3.8.4
Vcs-Browser: http://git.debian.org/?p=collab-maint/openttd.git
Vcs-Git: git://git.debian.org/collab-maint/openttd.git
Homepage: http://www.openttd.org/

Package: openttd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, openttd-data (= ${source:Version})
Recommends: openttd-opengfx, x11-utils
Suggests: openttd-opensfx, timidity, freepats
Description: reimplementation of Transport Tycoon Deluxe with enhancements
 OpenTTD is a reimplementation of the Microprose game "Transport
 Tycoon Deluxe" with lots of new features and enhancements.
 .
 OpenTTD is playable with the free graphics files from the openttd-opengfx
 package and optional sound files from the openttd-opensfx package (which is in
 non-free). Alternatively, OpenTTD can use the graphics files from the original
 Transport Tycoon Deluxe game (See README.Debian on how to set this up).

Package: openttd-data
Architecture: all
Depends: ${misc:Depends}
Replaces: openttd (<< 0.7.5-2)
Conflicts: openttd (<< 0.7.5-2)
Description: common data files for the OpenTTD game
 This package contains data files like language files, scripts and some
 auxillary graphics.  It does not include any full graphics or sound sets,
 which still need to be installed separately to play OpenTTD.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Makefile to build the openttd debian package.

# Use debhelper default for all targets (but some are overridden below).
%:
	dh $@

DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# Pass custom options to configure. Since it's not autoconf but a custom
# script, some of the option names are slightly different. We also need
# to be explicit about the dependencies, in case we're not running in a
# clean build root.
override_dh_auto_configure:
	./configure $(CROSS) --prefix-dir=/usr --install-dir=debian/tmp --without-allegro --with-zlib --with-sdl --with-png --with-freetype --with-fontconfig --with-icu --with-liblzo2 --without-iconv

# Do some extra installation
override_dh_auto_install:
	$(MAKE) install

	# Install the wrapper and make it executable
	install -d debian/openttd/usr/share/games/openttd/
	install -m755 debian/openttd-wrapper debian/openttd/usr/share/games/openttd/

	# Since 0.7.0, upstream Makefile installs some unwanted stuff.
	-rm $(CURDIR)/debian/tmp/usr/share/doc/openttd/COPYING
	-rm $(CURDIR)/debian/tmp/usr/share/doc/openttd/changelog.txt
	-rm $(CURDIR)/debian/tmp/usr/share/doc/openttd/ob*_format.txt

# Don't do testing. Because the OpenTTD Makefile always does dependency
# generation (even on invalid targets), dh_auto_test thinks there is a
# "test" target, while there isn't.
override_dh_auto_test:

# Call mrproper. Again, dh_auto_clean thinks there is a distclean
# target, while there isn't.
override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) mrproper

## openttd 1.0.4

=== debian/changelog ===
openttd (1.0.4-7) squeeze; urgency=high

  * [d2a7867] Fix CVE-2013-6411 (Denial of service using forcefully
    crashed aircrafts). See http://security.openttd.org/en/CVE-2013-6411
    for details.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 29 Nov 2013 12:11:14 +0100

openttd (1.0.4-6) stable-security; urgency=high

  * [9ca1ffd] Improve patch for CVE-2012-3436.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 31 Jul 2012 18:00:06 +0200

openttd (1.0.4-5) stable-security; urgency=high

  * Fix several security issues, patches supplied by upstream. See
    http://security.openttd.org for more details.
    - [18c6108] CVE-2012-0049 (Denial of service via slow read attack).
    - [1bd7768] CVE-2012-3436 (Denial of service using ships on half tiles and
      landscaping). (Closes: #683258)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Sun, 29 Jul 2012 14:18:09 +0200

openttd (1.0.4-4) stable-security; urgency=high

  * [a0f8ff8] Fix several security issues, patches supplied by upstream. See
    http://security.debian.org for more details.
    - CVE-2011-3341 (Denial of service via improperly validated commands)
    - CVE-2011-3342 (Buffer overflows in savegame loading)
    - CVE-2011-3343 (Multiple buffer overflows in validation of external data)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 15 Sep 2011 23:37:43 +0200

openttd (1.0.4-3) unstable; urgency=high

  * [0b3fd35] Make sure the CVE 2010-4168 patch actually applies.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 19 Nov 2010 09:56:36 +0100

openttd (1.0.4-2) unstable; urgency=high

  * [31f64cb] Add patch for CVE-2010-4168. (Closes: #603752)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 18 Nov 2010 21:45:54 +0100

openttd (1.0.4-1) unstable; urgency=low

  * [0303577] New upstream release 1.0.4.
  * [ac0e0c9] Build-depend on grfcodec and nforenum, openttd ships grf
    sources now.
  * [ae70a98] Rebuild the grf files instead of using the prebuilt
    versions. (Closes: #595738)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 14 Sep 2010 18:58:34 +0200

openttd (1.0.3-2) unstable; urgency=low

  * [04a8646] Don't suggest freepats, since timidity recommends it now.
  * [4d36395] Recommend openttd-openmsx.
  * [34c1754] Recommend timidy instead of suggesting it.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Wed, 01 Sep 2010 09:15:26 +0200

openttd (1.0.3-1) unstable; urgency=high

  * [581c91e] New upstream release 1.0.3. This release fixes CVE-2010-2534.
  * [9051ead] Bump standards version to 3.9.1.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 03 Aug 2010 22:28:49 +0200

openttd (1.0.2-1) unstable; urgency=low

  * [00c4efe] New upstream release 1.0.2.
  * [c7b38fd] Break older openttd versions instead of Conflicting with
    them.
  * [36bd61f] Bump standards version to 3.9.0.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 01 Jul 2010 08:14:02 +0200

openttd (1.0.1-1) unstable; urgency=high

  * [6efdf17] New upstream release 1.0.1. This release fixes CVE-2010-0401,
    CVE-2010-0402 and CVE-2010-0406.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Sat, 01 May 2010 17:02:36 +0200

=== debian/rules ===
--- 
+++ 
@@ -32,12 +32,18 @@
 	-rm $(CURDIR)/debian/tmp/usr/share/doc/openttd/changelog.txt
 	-rm $(CURDIR)/debian/tmp/usr/share/doc/openttd/ob*_format.txt
 
+override_dh_auto_build:
+	# Remove the prebuilt grf files, so they get rebuilt from source
+	rm bin/data/*.grf
+	# Make nforenum store its temporary files in the current
+	# directory instead of in $(HOME).
+	make NFORENUM="nforenum -D$(CURDIR)"
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf $(CURDIR)/.nforenum
+
 # Don't do testing. Because the OpenTTD Makefile always does dependency
 # generation (even on invalid targets), dh_auto_test thinks there is a
 # "test" target, while there isn't.
 override_dh_auto_test:
-
-# Call mrproper. Again, dh_auto_clean thinks there is a distclean
-# target, while there isn't.
-override_dh_auto_clean:
-	[ ! -f Makefile ] || $(MAKE) mrproper

## openttd 1.1.3

=== debian/changelog ===
openttd (1.1.3-1) unstable; urgency=low

  * [4d74263] New upstream release 1.1.3. Fixes three security issues:
    - CVE-2011-3341 (Denial of service via improperly validated commands)
    - CVE-2011-3342 (Buffer overflows in savegame loading)
    - CVE-2011-3343 (Multiple buffer overflows in validation of external data)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 16 Sep 2011 15:12:38 +0200

openttd (1.1.2-1) unstable; urgency=low

  * [6a2923c] New upstream release 1.1.2.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Sun, 21 Aug 2011 11:42:13 +0200

openttd (1.1.1-1) unstable; urgency=low

  * [275d525] New upstream release 1.1.1.
  * [e031058] Add support for lzma-compressed savegames.
  * [8658e0f] Recommend openttd-opengfx >= 0.3.2, OpenTTD will not run with
    older versions.
  * [ec059f2] Remove patch for CVE-2010-4168, it was included in 1.0.5.
  * [2fd255d] No longer depend on nforenum.
  * [b43c10f] Bump Standards-Version to 3.9.2, no changes required.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 04 Aug 2011 23:22:46 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
 Uploaders: Jordi Mallach <jordi@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50), libsdl-dev, zlib1g-dev, libpng-dev, libfreetype6-dev, libfontconfig-dev, libicu-dev, liblzo2-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.0.50), libsdl-dev, zlib1g-dev, libpng-dev, libfreetype6-dev, libfontconfig-dev, libicu-dev, liblzo2-dev, liblzma-dev, grfcodec (>= 5.1.0)
+Standards-Version: 3.9.2
 Vcs-Browser: http://git.debian.org/?p=collab-maint/openttd.git
 Vcs-Git: git://git.debian.org/collab-maint/openttd.git
 Homepage: http://www.openttd.org/
@@ -13,8 +13,8 @@
 Package: openttd
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, openttd-data (= ${source:Version})
-Recommends: openttd-opengfx, x11-utils
-Suggests: openttd-opensfx, timidity, freepats
+Recommends: openttd-opengfx (>= 0.3.2), openttd-openmsx, timidity, x11-utils
+Suggests: openttd-opensfx
 Description: reimplementation of Transport Tycoon Deluxe with enhancements
  OpenTTD is a reimplementation of the Microprose game "Transport
  Tycoon Deluxe" with lots of new features and enhancements.
@@ -28,7 +28,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Replaces: openttd (<< 0.7.5-2)
-Conflicts: openttd (<< 0.7.5-2)
+Breaks: openttd (<< 0.7.5-2)
 Description: common data files for the OpenTTD game
  This package contains data files like language files, scripts and some
  auxillary graphics.  It does not include any full graphics or sound sets,

## openttd 1.1.4

=== debian/changelog ===
openttd (1.1.4-1) unstable; urgency=low

  * [9f68818] New upstream release 1.1.4.
  * [8779d75] Require grfcodec >= 5.1.2.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 06 Dec 2011 15:01:37 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
 Uploaders: Jordi Mallach <jordi@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50), libsdl-dev, zlib1g-dev, libpng-dev, libfreetype6-dev, libfontconfig-dev, libicu-dev, liblzo2-dev, liblzma-dev, grfcodec (>= 5.1.0)
+Build-Depends: debhelper (>= 7.0.50), libsdl-dev, zlib1g-dev, libpng-dev, libfreetype6-dev, libfontconfig-dev, libicu-dev, liblzo2-dev, liblzma-dev, grfcodec (>= 5.1.2)
 Standards-Version: 3.9.2
 Vcs-Browser: http://git.debian.org/?p=collab-maint/openttd.git
 Vcs-Git: git://git.debian.org/collab-maint/openttd.git

=== debian/rules ===
--- 
+++ 
@@ -17,20 +17,15 @@
 # to be explicit about the dependencies, in case we're not running in a
 # clean build root.
 override_dh_auto_configure:
-	./configure $(CROSS) --prefix-dir=/usr --install-dir=debian/tmp --without-allegro --with-zlib --with-sdl --with-png --with-freetype --with-fontconfig --with-icu --with-liblzo2 --without-iconv
+	./configure $(CROSS) --prefix-dir=/usr --install-dir=debian/tmp --without-allegro --with-zlib --with-sdl --with-png --with-freetype --with-fontconfig --with-icu --with-liblzo2 --with-liblzma --without-iconv --disable-strip CFLAGS="$(CFLAGS) -g" LDFLAGS="$(LDFLAGS) -Wl,-as-needed"
 
 # Do some extra installation
 override_dh_auto_install:
-	$(MAKE) install
+	$(MAKE) install DO_NOT_INSTALL_CHANGELOG=1 DO_NOT_INSTALL_LICENSE=1
 
 	# Install the wrapper and make it executable
 	install -d debian/openttd/usr/share/games/openttd/
 	install -m755 debian/openttd-wrapper debian/openttd/usr/share/games/openttd/
-
-	# Since 0.7.0, upstream Makefile installs some unwanted stuff.
-	-rm $(CURDIR)/debian/tmp/usr/share/doc/openttd/COPYING
-	-rm $(CURDIR)/debian/tmp/usr/share/doc/openttd/changelog.txt
-	-rm $(CURDIR)/debian/tmp/usr/share/doc/openttd/ob*_format.txt
 
 override_dh_auto_build:
 	# Remove the prebuilt grf files, so they get rebuilt from source

## openttd 1.1.5

=== debian/changelog ===
openttd (1.1.5-2) unstable; urgency=low

  * [a060ac1] Add openttd-dbg package containing debug symbols.
  * [9ebdb47] Pass $CPPFLAGS from dpkg-buildflags to configure, this fixes
    some missing hardening flags.
    Thanks to Simon Ruderich for providing a patch (Closes: #659194)
  * [0e6d613] Enable verbose builds.
  * [3d8d30d] Bump Standards-Version to 3.9.3, no changes required.
  * [09229b6] Update copyright file to use the new copyright-format-1.0.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 15 Mar 2012 12:06:03 +0100

openttd (1.1.5-1) unstable; urgency=low

  * [5911954] New upstream release 1.1.5. This fixes CVE-2012-0049.
  * [a3af4b0] Use dpkg-buildflags / buildflags.mk for determining buildflags.
  * [ff1043c] Enable all hardening options (since openttd offers a
    network-listening service that handles untrusted data).
  * [f9fd5bc] Support parallel building (enable using DEB_BUILD_OPTIONS).
  * [00931be] Add fix-make-dry-run.patch to make dh_auto_clean work.
  * [7f36925] Add clean-openttd.32.bmp.patch to completely clean the tree.
  * [6768883] Enable regression testing during package build.
  * [afc862f] Move more arch-indep data files to openttd-data.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Wed, 08 Feb 2012 15:04:51 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,10 @@
 Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
 Uploaders: Jordi Mallach <jordi@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50), libsdl-dev, zlib1g-dev, libpng-dev, libfreetype6-dev, libfontconfig-dev, libicu-dev, liblzo2-dev, liblzma-dev, grfcodec (>= 5.1.2)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.0.50), libsdl-dev, zlib1g-dev, libpng-dev,
+ libfreetype6-dev, libfontconfig-dev, libicu-dev, liblzo2-dev, liblzma-dev,
+ grfcodec (>= 5.1.2), dpkg-dev (>=1.16.1), openttd-opengfx
+Standards-Version: 3.9.3
 Vcs-Browser: http://git.debian.org/?p=collab-maint/openttd.git
 Vcs-Git: git://git.debian.org/collab-maint/openttd.git
 Homepage: http://www.openttd.org/
@@ -24,11 +26,22 @@
  non-free). Alternatively, OpenTTD can use the graphics files from the original
  Transport Tycoon Deluxe game (See README.Debian on how to set this up).
 
+Package: openttd-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: openttd (= ${binary:Version}), ${misc:Depends}
+Description: debugging symbols for openttd
+ OpenTTD is a reimplementation of the Microprose game "Transport
+ Tycoon Deluxe" with lots of new features and enhancements.
+ .
+ This package contains the debugging symbols for openttd.
+
 Package: openttd-data
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: openttd (<< 0.7.5-2)
-Breaks: openttd (<< 0.7.5-2)
+Replaces: openttd (<< 1.1.5-1)
+Breaks: openttd (<< 1.1.5-1)
 Description: common data files for the OpenTTD game
  This package contains data files like language files, scripts and some
  auxillary graphics.  It does not include any full graphics or sound sets,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Makefile to build the openttd debian package.

# Use debhelper default for all targets (but some are overridden below).
%:
	dh --parallel $@

DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# This prevents linking uselessly to libicudata and silences a warning
# in the build process.
DEB_LDFLAGS_MAINT_APPEND="-Wl,-as-needed"

# Enable all hardening options (since openttd offers a network-listening
# service that handles untrusted data).
DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Load buildflags (this uses dpkg-buildflags). Note that we don't export
# them, but instead pass them to ./configure explicitly.
include /usr/share/dpkg/buildflags.mk

# Pass custom options to configure. Since it's not autoconf but a custom
# script, some of the option names are slightly different. We also need
# to be explicit about the dependencies, in case we're not running in a
# clean build root.
override_dh_auto_configure:
	./configure $(CROSS) --prefix-dir=/usr --install-dir=debian/tmp --without-allegro --with-zlib --with-sdl --with-png --with-freetype --with-fontconfig --with-icu --with-liblzo2 --with-liblzma --without-iconv --disable-strip CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"

# Do some extra installation
override_dh_auto_install:
	$(MAKE) install DO_NOT_INSTALL_CHANGELOG=1 DO_NOT_INSTALL_LICENSE=1

	# Install the wrapper and make it executable
	install -d debian/openttd/usr/share/games/openttd/
	install -m755 debian/openttd-wrapper debian/openttd/usr/share/games/openttd/

GRF=bin/data/openttd.grf
GRF_BACKUP=debian/openttd.grf

override_dh_auto_build:
	# Remove the prebuilt grf file, to force a rebuild from source
	# (but do keep a backup, so the clean rule can restore it as
	# required by the policy).
	[ -f "$(GRF_BACKUP)" ] || mv "$(GRF)" "$(GRF_BACKUP)"

	# Make nforenum store its temporary files in the current
	# directory instead of in $(HOME). Use dh_auto_build so it
	# handles parallel building automatically.
	dh_auto_build -- NFORENUM="nforenum -D$(CURDIR)" VERBOSE=1

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/.nforenum

	[ ! -f "$(GRF_BACKUP)" ] || mv "$(GRF_BACKUP)" "$(GRF)"

# Strip debugging symbols, but retain them in a separate package.
override_dh_strip:
	dh_strip --dbg-package=openttd-dbg

## openttd 1.1.5-1maemo2

=== debian/changelog ===
openttd (1.1.5-1maemo2) unstable; urgency=low

  * added liblzma-dev to build-dependency 

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Wed,  4 Apr 2012 04:23:47 -0400

openttd (1.1.5-1maemo1) unstable; urgency=low

  * new upstream release.

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Tue,  3 Apr 2012 07:21:09 -0400 

openttd (1.0.2-1maemo1) unstable; urgency=low

  * Create absolute /usr/games links instead of relative ones. Fixes PR1.2
    issue where /usr/games is a symlink to /opt/maemo/usr/games.

 -- Javier S. Pedro <maemo@javispedro.com>  Tue, 29 Jun 2010 11:31:57 +0200

openttd (1.0.2-1maemo0) unstable; urgency=low

  * New upstream release.

 -- Javier S. Pedro <maemo@javispedro.com>  Mon, 28 Jun 2010 23:02:59 +0200

openttd (1.0.0-1maemo0) unstable; urgency=low

  * 1.0 upstream release!

 -- Javier S. Pedro <maemo@javispedro.com>  Wed,  7 Apr 2010 19:51:41 +0200

openttd (0.7.4-1maemo3) unstable; urgency=low

  * Rewrote kinetic scrolling algorithm (more testing required).
  * On main viewport, things get activated on mouse up instead of down.
  * Scroll when placing roads and cursor is near screen border. 

 -- Javier S. Pedro <maemo@javispedro.com>  Thu, 24 Dec 2009 19:26:36 +0100

openttd (0.7.4-1maemo2) unstable; urgency=low

  * Diablo builds working again.

 -- Javier S. Pedro <maemo@javispedro.com>  Tue, 22 Dec 2009 23:50:54 +0100

openttd (0.7.4-1maemo1) unstable; urgency=low

  * New upstream release.
  * Depend on openttd-opengfx >= 0.2.0.
  * Fix "Can't autosave" bug in Fremantle.
  * Set hints for non composition in fullscreen mode.

 -- Javier S. Pedro <maemo@javispedro.com>  Tue, 22 Dec 2009 19:59:21 +0100

openttd (0.7.3-1maemo1) unstable; urgency=low

  * New upstream release.
  * Fallback to $HOME if $MYDOCSDIR is not set.
  * Use Ctrl+Return as fullscreen key too.
  * Relayouted some dialogs to fit new lower resolutions. 

 -- Javier S. Pedro <maemo@javispedro.com>  Sun,  1 Nov 2009 18:36:53 +0100

openttd (0.7.2-1maemo5) unstable; urgency=low

  * Implement 2x scaling 

 -- Javier S. Pedro <maemo@javispedro.com>  Wed, 23 Sep 2009 22:49:53 +0200

openttd (0.7.2-1maemo4) unstable; urgency=low

  * Depend on openttd-opengfx instead of opengfx.

 -- Javier S. Pedro <maemo@javispedro.com>  Fri,  4 Sep 2009 16:12:59 +0200

openttd (0.7.2-1maemo3) unstable; urgency=low

  * Update OpenGFX Depends version.
  * Added Bugtracker URL.

 -- Javier S. Pedro <maemo@javispedro.com>  Fri,  4 Sep 2009 03:31:16 +0200

openttd (0.7.2-1maemo2) unstable; urgency=low

  * Fixed empty debug package.
  * debian/rules: don't run configure every time.

 -- Javier S. Pedro <maemo@javispedro.com>  Sun, 30 Aug 2009 20:25:18 +0200

openttd (0.7.2-1maemo1) unstable; urgency=low

  * Removed install-to-card option in Fremantle builds.
  * New version scheme.

 -- Javier S. Pedro <maemo@javispedro.com>  Sun, 30 Aug 2009 03:07:57 +0200

openttd (0.7.1-7) unstable; urgency=low

  * src/window_func.h, src/window.cpp, src/viewport.cpp (quilt: 
    kinetic-scrolling): Make inertia stop when user centers view on something
    else.

 -- Javier S. Pedro <maemo@javispedro.com>  Sun,  2 Aug 2009 01:16:56 +0200

openttd (0.7.1-6) unstable; urgency=low

  * First try at building for Fremantle. 

 -- Javier S. Pedro <maemo@javispedro.com>  Thu, 30 Jul 2009 02:04:43 +0200

openttd (0.7.1-5) unstable; urgency=low

  * Pre-Depending on maemo-installer-utils.
  * Depending on OpenGFX.

 -- Javier S. Pedro <maemo@javispedro.com>  Wed,  1 Jul 2009 18:11:58 +0200

openttd (0.7.1-4) unstable; urgency=low

  * 800x480 is not hardcoded anymore, windowed resolution is (quilt:
    screen-resolution).
  * Second try at kinetic scrolling (quilt: kinetic-scrolling). 
  * Newer way of handling fullscreen button (quilt: keys). 

 -- Javier S. Pedro <maemo@javispedro.com>  Tue, 30 Jun 2009 00:29:30 +0200

openttd (0.7.1-3) unstable; urgency=low

  * First try at kinetic scrolling.
  * Adding quilt build dependency.

 -- Javier S. Pedro <maemo@javispedro.com>  Mon, 29 Jun 2009 11:39:29 +0200

openttd (0.7.1-2) unstable; urgency=low

  * Removing dependency on base64.

 -- Javier S. Pedro <maemo@javispedro.com>  Thu, 25 Jun 2009 12:20:34 +0200

openttd (0.7.0-2) unstable; urgency=low

  * New saved games path: $MYDOCSDIR/.games/OpenTTD/ 

 -- Javier S. Pedro <maemo@javispedro.com>  Sat, 30 May 2009 21:26:50 +0200

=== debian/control ===
Source: openttd
Section: user/games
Priority: extra
Maintainer: Javier S. Pedro <maemo@javispedro.com>
Build-Depends: debhelper (>= 5), autotools-dev, quilt, sharutils, maemo-version,
 libsdl1.2-dev, libx11-dev, libfontconfig1-dev, x11proto-core-dev, zlib1g-dev, 
 zlib1g, libfreetype6-dev, libpng12-dev, liblzo2-dev, m4, pkg-config, liblzma-dev 
XS-Maemo-Optify: none
Standards-Version: 3.7.2

Package: openttd
Architecture: any
Depends: ${shlibs:Depends}, openttd-opengfx (>= 0.4.3),
 openttd-opensfx (>= 0.2.3), liblsma1
Pre-Depends: openttd-data (= ${source:Version}) 
Description: Clone of Transport Tycoon Deluxe
 OpenTTD is an open source clone of the Microprose game Transport Tycoon Deluxe
 (TTD).
 .
 As president of a start-up transportation company in 1950, you have a 
 choice of building rail, road, air and maritime transportation routes to build
 up your transportation empire. Outsmart your competition by beating them to
 attractive passenger and commodities routes to become the game's
 highest-ranking transport company by the year 2050.
XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=add&group_id=874&atid=3286
XB-Maemo-Display-Name: OpenTTD
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgIfAhk
 iAAAAAlwSFlzAAALEgAACxIB0t1+/AAAACV0RVh0U29mdHdhcmUATWFjcm9tZWRp
 YSBGaXJld29ya3MgTVggMjAwNId2rM8AAAAWdEVYdENyZWF0aW9uIFRpbWUAMTIv
 MTkvMDQC7VT0AAAR6klEQVR4nL2aeXRV1fXHP+cOb8wcCGQEQkYCOCLOY6kT1rZq
 FYoCFpAqqGhVnCoOxaFSf3Vobe1SW4sDVLQoP7FVUZF5kBASSAhJIAMhZH7znc7v
 j5cE8GdbUOxd66311rp37f35nn323uece5FS8l38lrz1VvZVV13dMm7cuKe+Kx9S
 ShS+g2vThjWJ7/x9+cu76/dmhqLGrOKioknfhR/g+AtoqK32L3r2xRU1Nbu/f+/l
 mZxekJJsKd6/FhUVTj7evuA4Cwj1tHvvX7Bw+a5dNefMvzyT687P5olrR3DSiETF
 Ubx/LioqvPp4+gMQUsrjZUufcsP05RU7qi6Zf9kQJp2bSSBo4XOrtAcMbnp5Nzsa
 AzHFCv+kZnft8uPl9HhFQLth2o1LKyp3XnLnxRlMOieTYMgCIBS1GZzk4oWphRRn
 JbgdzfdmYcHIS4+T3+MjYOr0n71RXlF15dwLB3HD+VkEw3F4IQSKAsGoTVaqi99N
 K6RwaIJX6v4lBSPzLzoevr+1gOk/m7F4W0XV1T8/P40Z38smGLYQCFyagiokLlXg
 1hQCEYth6W6en1bAiAxfgnAlvF2QP+Lcb+v/W+XAjJmzXtn05Y5pM85KZu6leYQi
 FghBMGLy+qe1hCIGST6ds8qyKBuWimE5JHk1avaHmf3Kbhrbw512tHdiXX3Dum/K
 8I0jMHPW7Bc3b6ucdsP4xD54G0eCS1No2N/BmgNJDD7/FlzjZ7O2NQEBCCS9YYui
 TC/PTy0gM82bpnmS3h0xfNip/1UBs39+87Obtu246bpT/Nx5xXDCURtHSoQARQg0
 ISkpGM511/yYaVOuI3fYcCzbASlRFAhEbEbl+HlhagGDUzwZujdp+bC8nBP+KwJ+
 fvMtizZsrZj74xM8zL8yDm87Ereu4tFVorEYDS2dBIIhLNPAME0UaePSFFyaikdX
 8LlUQhGbMbl+nru+gPRkb6bbn7Y8Lze7+Fh5tGN5+JY5cxZu2LL9jomjXDz4o3zC
 MQcAr0tjZ8MBPtjcyN4ehdaAwxkTClEUgaYq7D/Yxa5oIwZu3l67l0Sfi+svLEII
 LyfnJ/LbKSOZ8+favB6RtiInO/Pipub9e46W6aiTeO6ttz60dmP5gglFKguvLSBm
 OgghiJoWf3ivnM1tXkpPu4hTTzud4XnZpKen4vd5cbs97Kmr44Mlr7Jl7SrGXjQJ
 j89PSfhzLj0hlWDYJNGnsnpnN7cvricYMXaFug5c0rT/wN7jJuC2226fv2bjtsfP
 y4enJhdhWg62AwjJk29uptopZPacWzlhzCjcLh1VVXEcB8uykFLicrmJmTZ1dXvI
 GjoE4fLy+csP8MOCMLFYvGck+BRW7ejhjqXNhKNGZU97y8Wtbe3N/4ntP+bAvHnz
 7li7ufzxM4dJnriuENNyMGyJx6Xy0aZ6qiLZ3DX/PsadPBa3S0N3uenqDRKJRBBC
 IIRAVVV0VVBSVIDf7yM5KRGZkEVPdxDFNhCWQagnzAXFbp68cjAet6sseXDWexnp
 qUO/lYA777xzzppN5YvGZdk8PbkIR0oMW6IqgmA4xoeV3Uy8ZgrFRflxY6rO+tUf
 8+6z9/Dhu2+gudwoimDb1s1EDAtFUZBSoimChKEFtHaFcUkLYcVFhHsifL/YxROX
 paDrrpNSh+b8PS05YdA3EnD3XXfN+mLjtufGDjb5zZQiJBCzJALQFEFdczumN4sz
 xp+Kqihououa6mqMyve4JDfInpoawuEoqsvDmmV/5K1n5tPZG0HXdSwzxtARxbQG
 FbQBASbCMogGIlxaorJwgg9Nc5+WkZP/rt+rpxyTgHvuuXvq6o3b/lCSGuO3NxSh
 CjAMC+HYCNtEdUzCwRDJaYNITU2N744cB7fPT+eBZnr31xMKR7EdG8NyKM3P4SLX
 l7z+zP1ELbAti8zsPHqUdKQRRVixuAjbAMsgFojyg1LBoxfoKJrrrNwRpcu8ukg8
 KgH333ff5C82lr+anxDi+etH4hYW0UgUYRsoVtyBNGL4VQdNkSAUQGKaBvnDh5F+
 9gxe2RRBEaBrKiCIRmOUFAymrPdT3lu2BL8/maTUdLo9efQEDRQzhrAPRQHLwAhE
 +XGpw4KzBejuC4YVjX5bCOH7Ku8RfeCB+++76rP1W1/Ldffwwk9H4FMsImEbRTqA
 BCkR0sGyoCDDh6+mkbaOTvJzh4DtEI2EOPvC7zMoZySxUDc4Nqqi0Hawneq2Wi4q
 8PHHDW+yRFdROveQ7zTgVR2wTIQEcEACMt61raDkJ6USw4BHN3omFI8a/ZYQ4hop
 ZbSfeaCM/vKXD078dO2WdzJEu/bHKXmkehXCMTsOTdxg/Bf/73Mp/HPrXmoLZjDr
 5jmEA930V2RN05FILNPE5XJRWVHOP5YtRmncSL7axskjh1CQnQJmBCPSx9JnV0jn
 MD8OCg6qbvFqhZuFWxNQ7ciyXVU7JkkpjQEB99xzz0Vfbq9ckWS1uX9/bSaD/HF4
 IQ+Nen8E+o0LJDoWf1rfTe7kRVzyvYuIhHqwbfvIGEuJ7vZg2lBbv5ctX3xE1xev
 cVVGEyPzMjCNfmA7PlCO0xcJBxy7T4SNolu8tCOZ53amYhuRt1r377+xo6MjLKSU
 XDbxivUH9jePX3pDBvlDdEJBC6Uf+LCp81UBblWAHWFZlYVx6kzOvOwasjPSMWNh
 jFjsCB1CCFRNQ9Pd1DS0sPy5+7la+YiizEQswwbisKJv5JH2QBSQDioWuAzmrR3J
 By2J9B5sntjS0rJCSCkZP/70qWHDevW84Tq/vtSPWyW+VJCHRv3waSSkRBGSzp4Q
 u1t7CUYM0hI91KhFuMoup/iMCRQMz8G2jIFpdfjldrvpCDsse2gyNyauxuNyIZ2v
 wh8pSOg27+8bxCNVw+nsCWxoadp3TTgcbhzIgbFjx84L2/pvLi7U+J+L3ahCYpqH
 T524IIFEV2BZeRdLa3VS8krR03K53P6Ii4sl9S1R1rcIXN+7i8uunYoZjeDyeFE1
 nWgoQL8/f0ISX6xbj3z5Ss7PjeAYEnAQ0j4UaeLPChes3JfGLyoKZTjYu6F+984p
 Uso9R5TR7du3P6M74Ts/qLEid6+MghXDJQ2EaRzWaEywDLBj7G/vZcwVs3hg0e95
 7Kmnac6cQGdTGyPSbM5NbmHnlnWEIzF0l5tlLz3NiqV/ReheFCXuMhwKUDrmJA6k
 ngzRCMKKl+r+eX84/EdNqfxiayHhrmCkYffOu/vhjxAAcO2Vk9/JSUkMLquymP+R
 DbaBLo2+RhMFK4IwI2CGKUuJkqhESU9Nwac6jLvqZlbuTwKji65glHDMxLYdLDT8
 HVWkLpvO3559EEfRQQiklCT6vbiGnYIptX7eI/PGBZ+3pDBvQyFabpgh46S3MKfs
 PiFEwv8T8NyTL+ZtL69YmXpFaPCYafDmdoUHPgPhhNDsEMIMo5hhhBkCI8RQd4Su
 vTsJR2JEI2FKiwtwXf4IH5cHSJYgRF8RAjRd57wCaFv5DBU7d6Nr8fbjOA7SMlAU
 9Wvh17YmMXd9ETIjQslsm5MW+EXOhd5LijNHLxFCeKCvkb364uKhq1at+tAa31A0
 fIrAjqrYYYfXXnfjwuShcQfRbIntSIRjg3DI8FiYB/fQGwgyOMVPJNjN5VdPYnmw
 nc+fm4dzSghFie+EVTNIdR1UBpM43YgiAVVV6eruQe+oQdUdpH0k/Ma2RG5ZW4yZ
 GmH0HJu0Aj+aR1B6rwDhuVT5ouzl7KG589RQV2zkhs1rl9jjG04cPh2cqEBIQcpY
 iWY6/OMTLzHH4ewhB1EsA2kbCMfEIySb9lsMPv1qhqSn4DgO2Aalp5xF75BRZGTl
 UFBcisets+ofH/BOncrYq2/nnDPHo+savoQUNnz+Twr2vkW63X4IXocvOxKYvaaU
 SGKM0bfZDB7tRwiBtEBPBn+uQtsqOSbQHWrUujo7sw4cbC3NyXdQ3Sp2CBCgqCr5
 020c0+J37wxClwZ3jm5E6SsOwgVJRhutzU2MLR6B7tbQdBexcJCJP/ghpmliGjHM
 WJgrbn2CC6IGqQlevB43/sRkKqt3E9vwF4o8B5ABCUocvqLTz+w1JYT8BmVzTQaP
 9SMQIEH1QbQFdi2y6dzf8/yBrpbX1a3lm/f9+rFndgS2add4sxU1sQicWBxSURVS
 TpQoAZv/XZ2CqsL4IYH4xFZgX5ukPfscxo8/g9Url7Hx84/JG30aCT4vtmUMjKrH
 4yYtOZHExCRUTwIb129g77uPc6n4FC3YNQC/q8vHzLWldLksRs01GHKyHyGUAXiz
 CyoXODSs7ljc1FE/TzqyWwPYWV/xflFW2Q27nvIuFpqipJ8hsHrjvUTVVEbeZOPY
 Jos+yMWlSGaXtoAD+UmwsWo7X9a30lW+kqLGJbyzdRnZE2Yz7uwL8fl8SOkghEpb
 Ry/NjQ3s3fQhGU0r+VFCHUqgHdkHX9vjZebaEtpVm7JbDIacchi8F6wAVD7s0PBF
 51vNPfVzpJRB+MqeuDh7zNTETM8rox5URNqpYPb2zUsVLMOm+llJ/Uc695+yj5kl
 +3Gi8FnXIMxBZYxNDjA0Uo4Tsfl4F9SdfS/Xz3sI4Vi8/5fnce/9jCFGAyX6fpLV
 AETtAfj6Xg83rhlFk+NQdkuUzDMTUPrgFQ84YdixwKH+4853GrvrZkgpO/uZj1hO
 VzdX/Lk4a4y+c6HnpVEPKqScyEAkNLdK0Rwb6Zj86pM8NEUyvaiVC7I6QKyFXhNp
 g6JDUTqsadpLKBzB5XLj6arhCvdqkEGwQFoMTJumoJtZ60pptCRlN0fJPMMfh6cP
 PgpVj0kaPul+v7G7btbh8Ef0gQERLRV/6m2Kzan6lU3vDtCS4vkgLdC9KsVzBcPO
 M3lk8zAW12bEW34kDk9f7e81wbRBVQS6ywW2AYEg0gQZr6wIDfaHXMxcW0pdTDDq
 pgiZZ/sHeoLiAmnCzl9J6v7Z9eG+rtoZUsr2r/J+7Zayunn7C717Y3dUPmoT2CXR
 Eg8T4VMpuRVyzrR4cONwltQNBvehxgXgUqE7YtPUEaKxPUDUVkATAwKFBgcjOrPW
 lVAdViidGSbrXD9qP7wej/quhZK6ld2r9nXWTpdSHvg61n97LlScNeaelAL3E6Mf
 UUkYGU+k/tEzei2qnha0blR5+sw6fji8HYz4CJsmfNaVjhg6BuFJIle0UhjZApaN
 0KEjqvGzdaMo79YZNTNE7gQ/qnoIHmDXE5Lav/esbmiv+amUsvFfMf7Hg63SnBMe
 TinSfzn6URVfLljBw0T0WFQ8JejYqvKbs/YwMa8DafRFQ++jEQqYJtJ0EDp0xzRm
 ri9hc4ebkhtD5F3iQ+tbWihavGDsekpSu6x3Q/3B6uuklA3/ju+oTuZKssc+nj7K
 Pb/sUQVPJgPNTugQ67CoeFLQVaHw7Nl7uDinE9nfAg4zLTQImCo3bShh3UEvxVOD
 DLv8ELzQ4gJqFsHupT1b6tqqrz181fmvrqM6nd7VvP3ezp3GM5ULbGJt8aaCjCeZ
 O12j7BeSlNGSOzaN5JPmFISrn5qBaIVMhVs2F7Ou3UfJtMCR8Go8aWt+K6lZ2lNe
 11b906OBP2oBADubyu/o3GG9ULnAweg4TIQBCTkapXMcVI/k9q2FrG5JHhAhVIja
 Crd9WcznbT5LDXcGNNuLN1VHiPh91Q17nofdb/RW1bdVT5ZSVh8t1zG9H9jZtG1O
 Z7n5UuXDDmZ3vEMKV7xWN72hEDrQ9WnMtnbcVl7IutYkhAdituD2L4v4pDWBWGfj
 /I6D3RMbX1PaGv/moKfEbex5EWoWB2sa2vZMklJWHQvTMb8jE0KI0pwTXxk0Tps6
 5jEFzQ9Vj0hql/esbmiv+Ule9tAEf3rOiiSXLHr6xFreaxnM0n2pGF0tDzc3Nz8q
 pbRHDC08IzEl4f2SeXqa2S6o/H2wvr659hpTxrYcE8w3EdAnQi3NOeG1zPNdk/Qk
 2P127/q6A9WT+itGcUF+oSsh7UNNVUeYtk1Px4GFTU1NC6SUZr+NYUPzz0sdnLLC
 iBndtXtqrzLs6IZjBgG+8VciqOil+WP+lJ9dtALI/+r9YXl5paNGj1mRk5v7IOD6
 OhsZ6UNPcGue0d+G41u9ZhVCCCARCMivMSSEcAEOYB3HTxqOuP4PaQ/AJV0sRZQA
 AAAASUVORK5CYII=


Package: openttd-data
Architecture: all
Section: games
Pre-Depends: hildon-application-manager
Recommends: openttd
Description: Clone of Transport Tycoon Deluxe (data files)
 OpenTTD is an open source clone of the Microprose game Transport Tycoon Deluxe
 (TTD).
 .
 As president of a start-up transportation company in 1950, you have a 
 choice of building rail, road, air and maritime transportation routes to build
 up your transportation empire. Outsmart your competition by beating them to
 attractive passenger and commodities routes to become the game's
 highest-ranking transport company by the year 2050.
 .
 This package contains the free game data files.

Package: openttd-dbg
Architecture: any
Section: devel
Depends: openttd (= ${source:Version})
Pre-Depends: openttd-data (= ${source:Version})
Description: Debug symbols for OpenTTD

## openttd 1.1.5-1maemo3

=== debian/changelog ===
openttd (1.1.5-1maemo3) unstable; urgency=low

  * fixed typo in dependency 

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Fri,  6 Apr 2012 04:55:53 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Package: openttd
 Architecture: any
 Depends: ${shlibs:Depends}, openttd-opengfx (>= 0.4.3),
- openttd-opensfx (>= 0.2.3), liblsma1
+ openttd-opensfx (>= 0.2.3), liblzma1
 Pre-Depends: openttd-data (= ${source:Version}) 
 Description: Clone of Transport Tycoon Deluxe
  OpenTTD is an open source clone of the Microprose game Transport Tycoon Deluxe

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Using quilt
include /usr/share/quilt/quilt.make

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Determine Maemo version
MAEMO_VERSION := $(shell cut -d"." -f1 /etc/maemo_version)

CFLAGS = -Wall -g -DMAEMO -DMAEMO_VERSION=$(MAEMO_VERSION)
LDFLAGS = -Wl,-z,defs
CONFOPTS = 

M4=m4
M4DEFS=-DMAEMO_MAJOR=$(MAEMO_VERSION)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else ifneq (,$(findstring arm,$(DEB_BUILD_GNU_TYPE)))
	CFLAGS += -Os
	ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
		CFLAGS += -march=armv6j -mtune=arm1136jf-s -mfpu=vfp -mfloat-abi=softfp
	endif
else # x86
	CFLAGS += -O2
	ifeq ($(shell expr "$(MAEMO_VERSION)" "<" 5), 1)
		# Does not build on gcc 3.3 x86 without this
		CONFOPTS += --disable-network
	endif
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

ifeq ($(shell expr "$(MAEMO_VERSION)" "<" 5), 1)
	# Diablo and older have "Games" folder in MyDocs
	CONFOPTS += --personal-dir=.games/OpenTTD
else
	# But Nokia removed it on Fremantle. Too bad!
	CONFOPTS += --personal-dir=.openttd
endif

# We link with x11 due to XStoreName usage.
LDFLAGS += $(shell pkg-config --libs x11)

Makefile: configure
	dh_testdir
	
	./configure --prefix-dir=/ --binary-dir=usr/games --data-dir=usr/share/games/openttd --doc-dir=delete --icon-dir=delete --icon-theme-dir=delete --man-dir=delete --menu-dir=delete --install-dir=$(CURDIR)/debian/openttd/ --without-menu-entry --disable-strip $(CONFOPTS) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

debian/control: debian/control.m4
	$(M4) $(M4DEFS) debian/control.m4 > debian/control

build: build-stamp

build-stamp: Makefile $(QUILT_STAMPFN)
	dh_testdir

	$(MAKE) $(MAKEFLAGS)

	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	-$(MAKE) clean
	rm -rf $(CURDIR)/bundle
	rm -rf $(CURDIR)/objs
	rm -rf $(CURDIR)/bin/lang
	rm -f $(CURDIR)/bin/openttd
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	rm -f Makefile

	dh_clean 

install: build 
	dh_testdir
	dh_testroot
	dh_clean -k -a
	dh_clean -k -i
	dh_installdirs

	$(MAKE) install INSTALL_DATA_DIR=$(CURDIR)/debian/openttd-data/usr/share/games/openttd
	# Delete non-wanted files
	rm -r $(CURDIR)/debian/openttd/delete
	# Add icons
	install -m 0644 $(CURDIR)/debian/openttd.desktop $(CURDIR)/debian/openttd/usr/share/applications/hildon
	uudecode < $(CURDIR)/debian/icons/openttd26.png.uu > $(CURDIR)/debian/openttd/usr/share/icons/hicolor/26x26/hildon/openttd.png
	uudecode < $(CURDIR)/debian/icons/openttd40.png.uu > $(CURDIR)/debian/openttd/usr/share/icons/hicolor/40x40/hildon/openttd.png
	uudecode < $(CURDIR)/debian/icons/openttd64.png.uu > $(CURDIR)/debian/openttd/usr/share/icons/hicolor/scalable/hildon/openttd.png
	
	# Update debian control files
	$(M4) $(M4DEFS) debian/control.m4 > debian/control
	$(M4) $(M4DEFS) debian/openttd.postinst.m4 > debian/openttd.postinst
	$(M4) $(M4DEFS) debian/openttd-data.preinst.m4 > debian/openttd-data.preinst
	$(M4) $(M4DEFS) debian/openttd-data.prerm.m4 > debian/openttd-data.prerm

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot

ifeq ($(shell expr "$(MAEMO_VERSION)" "<" 5), 1)
#	Install to SD in pre-Fremantle versions
#	Create a list of all "system" files (postrm / prerm will use that)
	( cd $(CURDIR)/debian/openttd-data/usr/share/games/openttd ; \
		find -type f | grep -v ".pkg-" > .pkg-filelist ; \
		find -type d | grep -v "^.$$" > .pkg-dirlist)
		
#	Fixing permissions manually, since they're going to a FAT32 volume.
	chown -R user:root $(CURDIR)/debian/openttd-data/usr/share/games/openttd/*
	chown user:root $(CURDIR)/debian/openttd-data/usr/share/games/openttd/.pkg-*
else
#	Manual optification in Fremantle.
	dh_fixperms -i
#	Data files optified by preinst script, which will be preinstalled and
#	create links appropiately.
endif
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i	
	

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs changelog.txt
#	dh_installdocs
#	dh_installexamples
#	dh_installman
#	dh_install --sourcedir=$(CURDIR)/debian/tmp
	dh_desktop -a
	dh_link -a
	dh_strip -a --dbg-package=openttd-dbg
	dh_compress -a
	dh_fixperms -a
ifeq ($(shell expr "$(MAEMO_VERSION)" ">=" 5), 1)	
#	Binary optified here (moved to /opt/openttd)
	dh_installdirs -p openttd usr/share/games/openttd
	mv $(CURDIR)/debian/openttd/usr/games/openttd $(CURDIR)/debian/openttd/usr/share/games/openttd/
#	We require an absolute symlink, so don't use dh_link here.
	ln -sf /usr/share/games/openttd/openttd $(CURDIR)/debian/openttd/usr/games/openttd
#	Debug package optified here
	dh_installdirs -p openttd-dbg usr/share/games/openttd
	mv $(CURDIR)/debian/openttd-dbg/usr/lib/debug/usr/games/openttd $(CURDIR)/debian/openttd-dbg/usr/share/games/openttd/openttd.debug
	ln -sf /usr/share/games/openttd/openttd.debug $(CURDIR)/debian/openttd-dbg/usr/lib/debug/usr/games/openttd
endif
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## openttd 1.2.0-maemo3

=== debian/changelog ===
openttd (1.2.0-maemo3) unstable; urgency=low

  * fixed control file

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Sun, 15 Apr 2012 11:17:13 -0400

openttd (1.2.0-maemo2) unstable; urgency=low

  * fixed control file

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Sun, 15 Apr 2012 10:59:09 -0400

openttd (1.2.0-maemo1) unstable; urgency=low

  * new upstream release

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Sun, 15 Apr 2012 10:53:20 -0400

openttd (1.2.0rc4-maemo1) unstable; urgency=low

  * new upstream release

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Mon,  9 Apr 2012 11:47:36 -0400

=== debian/rules ===
--- 
+++ 
@@ -28,19 +28,20 @@
 M4DEFS=-DMAEMO_MAJOR=$(MAEMO_VERSION)
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else ifneq (,$(findstring arm,$(DEB_BUILD_GNU_TYPE)))
-	CFLAGS += -Os
-	ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
-		CFLAGS += -march=armv6j -mtune=arm1136jf-s -mfpu=vfp -mfloat-abi=softfp
-	endif
-else # x86
-	CFLAGS += -O2
-	ifeq ($(shell expr "$(MAEMO_VERSION)" "<" 5), 1)
-		# Does not build on gcc 3.3 x86 without this
-		CONFOPTS += --disable-network
-	endif
+  CFLAGS += -O0
+else
+  CFLAGS += -O2
 endif
+
+# Use hardware floating point
+#ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
+#  CFLAGS += -mfpu=vfp -mfloat-abi=softfp
+#endif
+
+ifneq (,$(findstring arm,$(DEB_BUILD_GNU_TYPE)))
+   CFLAGS+= -march=armv7-a -mcpu=cortex-a8 -mfpu=neon
+endif
+
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	NUMJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
